Update budget AI seat tracking providers
curl --request PUT \
--url https://api.nops.io/v1/budgets/{id}/ai-seat-tracking \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"providers": [
"claude-enterprise",
"cursor"
]
}
'import requests
url = "https://api.nops.io/v1/budgets/{id}/ai-seat-tracking"
payload = { "providers": ["claude-enterprise", "cursor"] }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({providers: ['claude-enterprise', 'cursor']})
};
fetch('https://api.nops.io/v1/budgets/{id}/ai-seat-tracking', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/budgets/{id}/ai-seat-tracking"
payload := strings.NewReader("{\n \"providers\": [\n \"claude-enterprise\",\n \"cursor\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"enabledProviders": [
"claude-enterprise",
"cursor"
]
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Budgets
Update budget AI seat tracking providers
Enable or disable AI seat tracking providers on a budget.
PUT
https://api.nops.io
/
v1
/
budgets
/
{id}
/
ai-seat-tracking
Update budget AI seat tracking providers
curl --request PUT \
--url https://api.nops.io/v1/budgets/{id}/ai-seat-tracking \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"providers": [
"claude-enterprise",
"cursor"
]
}
'import requests
url = "https://api.nops.io/v1/budgets/{id}/ai-seat-tracking"
payload = { "providers": ["claude-enterprise", "cursor"] }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({providers: ['claude-enterprise', 'cursor']})
};
fetch('https://api.nops.io/v1/budgets/{id}/ai-seat-tracking', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/budgets/{id}/ai-seat-tracking"
payload := strings.NewReader("{\n \"providers\": [\n \"claude-enterprise\",\n \"cursor\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"enabledProviders": [
"claude-enterprise",
"cursor"
]
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Authorizations
API key from Settings → Security → API Keys. Pass as Authorization: Bearer YOUR_API_KEY.
Headers
Unique key for safe retries on write requests (required, max 64 characters).
Maximum string length:
64Path Parameters
Budget ID
Body
application/json
JSON request body
Response
Update budget AI seat tracking providers
JSON object
Was this page helpful?
⌘I